<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <title th:text="#{summary.TabTitle}"></title>
    <script type="text/javascript">
	var startTime = new Date().getTime();
	window.dataLayer = window.dataLayer || [];
	window.dataLayer.push({
	'pageCategory': 'Summary Page',
	'summaryStartTime': startTime
});
</script>

    <object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>
<body class="nhs-bsa-pensions nhs-bsa">

<div th:replace="fragments/header :: header">...</div>

<main id="content" role="main" tabindex="-1" th:object="${rft}">

    <div th:replace="fragments/phase_banner :: phase_banner">...</div>
    <div th:replace="fragments/service_header :: logout_back_contributions">...</div>

    <div class="grid-row">
        <div class="column-two-thirds">

            <h1 id="main-heading" class="heading-large">
                <span class="heading-secondary" th:text="#{serviceHeader}" id="service-name-text">Make payments to the NHS Pension Scheme</span>
                <span id="contribution-pre-month-text" th:text="#{summary.header}">Check your answers before submitting</span>
            </h1>

            <div class="multiple-ea display-none">
                <h2 class="heading-large"><span th:text="#{summary.multiple.ea.code}">Employing Authority (EA) code</span>: <span th:text="eaCode">-</span></h2>
                <h2 class="heading-large" th:text="orgName">-</h2>
            </div>

            <div class="grid-row">
                <div class="column-half">
                    <h2 class="heading-medium">
                        <span class="get-cookie" id="contributionMonth" data-cookie-name="payingMonth" th:text="*{contributionDate.contributionMonth}">January</span> <span class="get-cookie" id="contributionYear" data-cookie-name="payingYear" th:text="*{contributionDate.contributionYear}">2018</span>
                    </h2>
                </div>
            </div>

            <div class="form-group">
            <table class="content-table stack-table three-column">
                <caption class="heading-small visually-hidden" id="contributions-caption"><span th:text="#{contribution.panel.contribution.header}" id="caption-contributions-for">Contributions details</span></caption>
                <thead>
                <tr>
                <th colspan="2" id="contributions-header"><span th:text="#{contribution.panel.contribution.header}" id="contributions-for-key">Contributions details</span></th>
                </tr>
                </thead>
                <tbody th:include="fragments/contributions-table :: contributions"></tbody>
                <thead>
                <tr th:if="*{adjustment}">
                    <th colspan="2" id="contribution-adjustment-header"><span th:text="#{contribution.panel.adjustment.header}">Adjustments for</span> <span class="get-cookie" data-cookie-name="adjustmentMonth" id="adjustment.contributionMonth" th:if="*{adjustment} and *{adjustment.adjustmentContributionDate}" th:text="*{adjustment.adjustmentContributionDate.contributionMonth}">&nbsp;</span> <span class="get-cookie" data-cookie-name="adjustmentYear" id="adjustment.contributionYear" th:if="*{adjustment} and *{adjustment.adjustmentContributionDate}" th:text="*{adjustment.adjustmentContributionDate.contributionYear}">&nbsp;</span></th>
                </tr>
                </thead>
                <tbody th:include="fragments/contributions-table :: adjustments"></tbody>

                <tbody>
                    <tr>
                        <td class="bold" th:text="#{summary.totalDebitAmount}" id="contribution-total-key">Total amount to be debited</td>
                        <td id="contribution.total.debit" class="numeric"><strong th:text="'&pound;' + *{totalDebitAmount}">-</strong></td>
                    </tr>
                    <tr>
                        <td colspan="2"><a th:href="@{/contributionsandpayment/{uuid}(uuid=${rft.rftUuid})}" class="link" id="change-contributions-link">change<span class="visually-hidden" th:text="#{summary.contributions.change.link}">contribution details.</span>
                        </a>
                        </td>
                    </tr>
                </tbody>
            </table>
            </div>

            <div class="form-group">
            <table class="content-table stack-table three-column">
                <caption class="heading-small visually-hidden" th:text="#{summary.section.schedule}" id="schedule-header">Make a payment</caption>
                <thead>
                <tr>
                    <th colspan="2"><span th:text="#{summary.section.schedule}">Make a payment</span></th>
                </tr>
                </thead>
                <tbody>
                    <tr>
                        <td id="contribution-month-title" class="cell-first" th:text="#{summary.schedule.contribution.month}">What contribution month is this payment for?</td>
                        <td class="cell-last white-space-no-wrap" id="contribution-month-label"><span id="contribution-month" th:text="*{contributionDate.contributionMonth}">-</span>&nbsp;<span id="contribution-year"  th:text="*{contributionDate.contributionYear}">-</span></td>
                    </tr>
                    <tr>
                        <td id="transfer-date-title" class="cell-first" th:text="#{summary.schedule.transfer.date}">When do you want to pay?</td>
                        <td class="cell-last white-space-no-wrap" id="contribution-day-label"><span id="transfer-day" th:text="*{transferDate.days}">-</span>&nbsp;<span id="transfer-month" th:text="*{transferDate.month}">-</span>&nbsp;<span id="transfer-year" th:text="*{transferDate.year}">-</span></td>
                    </tr>
                    <tr>
                        <td colspan="2" class="edit-row"><a id="change-schedule-link" th:href="@{/scheduleyourpayment/{uuid}?forward=summary(uuid=${rft.rftUuid})}">change<span class="visually-hidden" th:text="#{summary.schedule.change.link}">payment details.</span>
                        </a>
                        </td>
                    </tr>
                </tbody>
            </table>
            </div>

            <div class="form-group">
            <table class="content-table stack-table two-column">
                <caption id="contact-details-heading-title" class="heading-small visually-hidden" th:text="#{summary.section.contact}">Your contact details</caption>
                <thead>
                <tr>
                    <th colspan="2">
                        <span id="contact-details-header" th:text="#{summary.section.contact}">Your contact details</span>
                        <span id="contact-details-hint" class="form-hint" th:text="#{summary.section.contact.hint}">If these are incorrect please contact the POL help desk.</span>
                    </th>
                </tr>
                </thead>
                <tbody th:include="fragments/contact-details :: contact-details"></tbody>
            </table>
            </div>

            <div class="form-group callout-box text">
                <h2 class="heading-small" th:text="#{summary.declaration.header}" id="declaration-heading">I understand that:</h2>

                <p th:text="#{summary.declaration.text}" id="declaration-text">The amount shown is correct and that deductions have been made from member salaries as per the NHS Pension Scheme Regulations.</p>
            </div>

            <form th:action="@{/summary/} + ${rft.rftUuid}" method="post" class="form" novalidate="novalidate" id="submit-form">
                <div class="form-group">
                <button type="submit" id="submit" class="button" th:text="#{summary.submit}" onclick="dataLayer.push({'endTime': startTime,'event': 'summary submit'});">Submit your contribution</button>
                </div>
            </form>

        </div>
    </div>

</main>

<div th:replace="fragments/footer :: footer">...</div>
<div th:replace="fragments/scripts :: scripts" th:remove="tag">...</div>
<div th:replace="fragments/typeahead :: month-typeahead">...</div>

</body>
</html>
